Orxonox: method4< C, R, T1, T2, T3, object const & > Class Template Reference

# method4< C, R, T1, T2, T3, object const & > Class Template Reference

`#include <src/cpptcl/details/methods_v.h>`

List of all members.

## Public Member Functions

virtual void | invoke (void *pv, Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], policies const &pol)
| method4 (cmem_type f)
| method4 (mem_type f)

## Private Types

enum | { var_start = 5 }
typedef R(C::* | cmem_type )(T1, T2, T3, T4) const
typedef R(C::* | mem_type )(T1, T2, T3, T4)
typedef object const & | T4

## Private Attributes

cmem_type | cf_
bool | cmem_
mem_type | f_

### template<class C, typename R, typename T1, typename T2, typename T3>
class method4< C, R, T1, T2, T3, object const & >

## Member Typedef Documentation

template<class C, typename R, typename T1, typename T2, typename T3>

typedef R(C::* method4< C, R, T1, T2, T3, object const & >::cmem_type)(T1, T2, T3, T4) const `[private]`

template<class C, typename R, typename T1, typename T2, typename T3>

typedef R(C::* method4< C, R, T1, T2, T3, object const & >::mem_type)(T1, T2, T3, T4)`[private]`

template<class C, typename R, typename T1, typename T2, typename T3>

typedef object const& method4< C, R, T1, T2, T3, object const & >::T4`[private]`

## Member Enumeration Documentation

template<class C, typename R, typename T1, typename T2, typename T3>

anonymous enum`[private]`

Enumerator:

  var_start |

## Constructor & Destructor Documentation

template<class C, typename R, typename T1, typename T2, typename T3>

method4< C, R, T1, T2, T3, object const & >::method4 | ( | mem_type | f | ) | `[inline]`

template<class C, typename R, typename T1, typename T2, typename T3>

method4< C, R, T1, T2, T3, object const & >::method4 | ( | cmem_type | f | ) | `[inline]`

## Member Function Documentation

template<class C, typename R, typename T1, typename T2, typename T3>

virtual void method4< C, R, T1, T2, T3, object const & >::invoke | ( | void * | pv,
|  | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[],
|  | policies const & | pol |
| ) |  |  | `[inline, virtual]`

References orxonox::KeyCode::C, method4< C, R, T1, T2, T3, T4 >::cf_, method4< C, R, T1, T2, T3, T4 >::cmem_, method4< C, R, T1, T2, T3, T4 >::f_, and Tcl::details::get_var_params().

## Member Data Documentation

template<class C, typename R, typename T1, typename T2, typename T3>

cmem_type method4< C, R, T1, T2, T3, object const & >::cf_`[private]`

template<class C, typename R, typename T1, typename T2, typename T3>

bool method4< C, R, T1, T2, T3, object const & >::cmem_`[private]`

template<class C, typename R, typename T1, typename T2, typename T3>

mem_type method4< C, R, T1, T2, T3, object const & >::f_`[private]`

The documentation for this class was generated from the following file:

- src/cpptcl/details/methods_v.h